Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1198040 - Review Request: gnome-characters - Character map application for GNOME
Summary: Review Request: gnome-characters - Character map application for GNOME
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-03 09:44 UTC by Daiki Ueno
Modified: 2015-03-22 04:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-17 01:38:01 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daiki Ueno 2015-03-03 09:44:59 UTC
Spec URL: http://ueno.fedorapeople.org//gnome-characters.spec
SRPM URL: http://ueno.fedorapeople.org//gnome-characters-3.15.91.1-1.fc21.src.rpm

Description:
Characters is a simple utility application to find and insert unusual
characters.

Comment 1 Parag AN(पराग) 2015-03-03 15:42:56 UTC
I will take this for review.

I see some rpmlint messages. fix them.

I will check licensing and then post the review.

Comment 2 Daiki Ueno 2015-03-04 03:45:39 UTC
I've put updated spec and SRPM on the same location.

It should fix the rpmlint errors previously reported, while it adds a new one:

  gnome-characters.src:24: W: unversioned-explicit-provides bundled(gnulib)

I guess it can be ignored.

Comment 3 Parag AN(पराग) 2015-03-14 14:13:02 UTC
Suggestions:
1) we have a license macro now so you can use it as
%doc NEWS README
%license COPYING COPYINGv2

2) Above License: tag add following lines
#Files from gtk-js-app are licensed under 3-clause BSD.
#Other files are GPL 2.0 or later.

3) Package does not contain any libtool archives (.la)
  Note: gnome-characters : /usr/lib64/org.gnome.Characters/libgc.la
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

=> Use in %install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

Otherwise looks good.

APPROVED.

Comment 4 Daiki Ueno 2015-03-16 06:25:51 UTC
Thanks Parag.

New Package SCM Request
=======================
Package Name: gnome-characters
Short Description: Character map application for GNOME
Upstream URL: https://git.gnome.org/browse/gnome-characters/
Owners: ueno
Branches: f22
InitialCC:

Comment 5 Gwyn Ciesla 2015-03-16 13:39:05 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-03-17 01:30:20 UTC
gnome-characters-3.15.92-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gnome-characters-3.15.92-1.fc22

Comment 7 Fedora Update System 2015-03-22 04:28:13 UTC
gnome-characters-3.15.92-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.